import { ComponentFactoryResolver, Type, ApplicationRef } from '@angular/core';
export declare type InputType = {
    [index: string]: any;
};
export declare class ModalService {
    private resolver;
    private applicationRef;
    constructor(resolver: ComponentFactoryResolver, applicationRef: ApplicationRef);
    private readonly viewContainerRef;
    open<T>(component: Type<any>): Promise<T>;
    open<T>(component: Type<any>, inputs: InputType): Promise<T>;
    open<T>(component: Type<any>, inputs: InputType, width: string): Promise<T>;
}
